<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Austin Regnery - Staff Product Designer</title>
  <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap" rel="stylesheet">
  <!-- FAV ICON -->
  <link rel="icon" type="image/png" sizes="192x192" href="favicons/android-icon-192x192.png">
  <link rel="icon" type="image/png" sizes="16x16" href="favicons/favicon-16x16.png">
  <link rel="icon" type="image/png" sizes="32x32" href="favicons/favicon-32x32.png">
  <link rel="icon" type="image/png" sizes="96x96" href="favicons/favicon-96x96.png">
  <link rel="apple-touch-icon" sizes="57x57" href="favicons/apple-icon-57x57.png">
  <link rel="apple-touch-icon" sizes="60x60" href="favicons/apple-icon-60x60.png">
  <link rel="apple-touch-icon" sizes="72x72" href="favicons/apple-icon-72x72.png">
  <link rel="apple-touch-icon" sizes="76x76" href="favicons/apple-icon-76x76.png">
  <link rel="apple-touch-icon" sizes="114x114" href="favicons/apple-icon-114x114.png">
  <link rel="apple-touch-icon" sizes="120x120" href="favicons/apple-icon-120x120.png">
  <link rel="apple-touch-icon" sizes="144x144" href="favicons/apple-icon-144x144.png">
  <link rel="apple-touch-icon" sizes="152x152" href="favicons/apple-icon-152x152.png">
  <link rel="apple-touch-icon" sizes="180x180" href="favicons/apple-icon-180x180.png">
  <style>
    html {
      scroll-behavior: smooth;
      scroll-padding-top: 4rem; /* This accounts for the fixed header height */
    }
    @import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap');
    :root {
      --background: #ffffff;
      --text: #000000;
      --muted-text: rgba(0, 0, 0, 0.6);
      --card-bg: #f3f3f3;
      --border-color: rgba(0, 0, 0, 0.1);
      --active-link: #5151D3;
    }

    .dark {
      --background: #181818;
      --text: #ffffff;
      --muted-text: rgba(255, 255, 255, 0.6);
      --card-bg: #252525;
      --border-color: rgba(255, 255, 255, 0.1);
      --active-link: #8080FF;
    }

    body {
      font-family: "Roboto", -apple-system, BlinkMacSystemFont, Helvetica, Arial, sans-serif;
      background-color: var(--background);
      color: var(--text);
      line-height: 1.5;
      margin: 0;
      padding: 0;
      transition: background-color 0.3s ease, color 0.3s ease;
    }

    .container {
      max-width: 1200px;
      margin: 0 auto;
      padding: 0 2rem;
    }

    header {
      position: sticky;
      top: 0;
      z-index: 50;
      background-color: var(--background);
      border-bottom: 1px solid var(--border-color);
      transition: background-color 0.3s ease, border-color 0.3s ease;
    }

    nav {
      display: flex;
      justify-content: space-between;
      align-items: center;
      height: 4rem;
      background-color: var(--background);
    }

    .logo {
      display: inline-flex;
      align-items: center;
      gap: 1rem;
      color: var(--text);
      text-decoration: none;
      padding: 0.25rem;
      border-radius: 0.5rem;
      transition: background-color 0.2s ease;
    }

    .logo:hover {
      background-color: var(--card-bg);
    }

    .logo img {
      width: 2.5rem;
      height: 2.5rem;
      border-radius: 9999px;
      object-fit: cover;
    }

    .nav-links {
      display: flex;
      align-items: center;
      gap: 0.5rem;
      border: 1px solid var(--border-color);
      border-radius: 9999px;
      padding: 0.25rem;
      background-color: transparent;
      transition: background-color 0.3s ease;
    }

    .nav-links a {
      color: var(--text);
      text-decoration: none;
      font-size: 0.875rem;
      padding: 0.5rem 1rem;
      border-radius: 9999px;
      transition: background-color 0.3s ease, color 0.3s ease;
    }

    .nav-links a:hover {
      background-color: var(--border-color);
    }

    .nav-links a.active {
      background-color: var(--border-color);
    }

    .dark .nav-links a.active {
      background-color: var(--card-bg);
    }

    .theme-toggle {
      background: none;
      border: 1px solid var(--border-color);
      color: var(--text);
      width: 2.5rem;
      height: 2.5rem;
      border-radius: 9999px;
      cursor: pointer;
      display: flex;
      align-items: center;
      justify-content: center;
      transition: background-color 0.3s ease, color 0.3s ease;
      margin-left: 1rem;
      position: relative;
    }

    .theme-toggle:hover {
      background-color: var(--border-color);
    }

    .theme-toggle::after {
      content: attr(title);
      position: absolute;
      top: 120%;
      left: 50%;
      transform: translateX(-50%);
      background-color: var(--background);
      color: var(--text);
      padding: 0.5rem;
      border-radius: 0.25rem;
      font-size: 0.875rem;
      white-space: nowrap;
      opacity: 0;
      visibility: hidden;
      transition: opacity 0.3s, visibility 0.3s;
      border: 1px solid var(--border-color); /* Updated border color */
      z-index: 1000;
    }

    .theme-toggle:hover::after,
    .theme-toggle:focus::after {
      opacity: 1;
      visibility: visible;
    }

    main {
      padding: 4rem 0;
    }

    h1 {
      font-size: 3.5rem;
      font-weight: 900;
      letter-spacing: -2px;
      line-height: 1.1em;
      margin: 0;
    }

    .hero {
      position: relative;
      overflow: hidden;
      height: 100vh;
      display: flex;
      flex-direction: column;
      justify-content: center;
    }

    .hero-image {
      position: absolute;
      right: 0;
      top: 50%;
      transform: translateY(-50%);
      height: auto;
      width: 85%;
      max-width: 400px;
      opacity: 0.7;
      z-index: -1;
      pointer-events: none;
      transition: opacity 0.3s ease;
      object-fit: contain;
      border-radius: 8px;
    }

    .dark .hero-image {
      opacity: 0.3;
    }

    .hero p {
      font-size: 1.25rem;
      color: var(--muted-text);
      margin-bottom: 2rem;
      max-width: 600px;
    }

    .work-section {
      margin: 6rem 0;
      display: flex;
      flex-direction: column;
      gap: 4rem;
    }

    .work-content {
      max-width: 60%;
      color: var(--text);
    }

    .work-content p {
      font-size: 1.25rem;
      color: var(--muted-text);
      line-height: 1.6;
    }

    .case-study-header {
      padding: 0;
    }

    .case-study-badge {
      display: inline-flex;
      align-items: center;
      padding: 0.5rem 1rem;
      background-color: rgba(201, 100, 137, 0.1);
      color: rgb(234 123 178);
      border-radius: 9999px;
      font-size: 0.875rem;
      font-weight: 500;
      margin-bottom: 1rem;
    }

    .case-study-badge::before {
      content: '';
      width: 0.5rem;
      height: 0.5rem;
      background-color: rgb(234 123 178);
      border-radius: 50%;
      margin-right: 0.5rem;
    }

    .case-study-title {
      font-size: 3rem;
      font-weight: 700;
      line-height: 1.2;
      margin-bottom: 2rem;
      margin-top: 1rem;
    }

    .case-study-content {
      display: grid;
      gap: 2rem;
    }

    .case-study-text {
      font-size: 1.25rem;
      color: var(--muted-text);
      line-height: 1.6;
    }

    .case-study-text:first-child {
      color: var(--text);
    }

    .case-study-text:last-child {
      font-size: 1rem;
    }

    .case-study-card {
      position: relative;
      width: 100%;
      max-width: 1000px;
      margin: 2rem auto;
      border-radius: 1rem;
      overflow: hidden;
      background: var(--background);
      transition: background 0.3s ease;
      padding-bottom: 4rem;
    }

    .dark .case-study-card {
      background: var(--background);
    }

    .case-study-image {
      width: 100%;
      max-width: 800px;
      height: auto;
      display: none;
      border-radius: 1.2%;
      margin: 3rem auto;
      filter: drop-shadow(0 0 50px rgba(255, 69, 0, 0.1));
    }

    .case-study-image-container {
      display: flex;
      justify-content: center;
      width: 100%;
      margin-top: 48px;
    }

    .case-study-revenue .case-study-image {
      filter: drop-shadow(0 0 50px rgba(73, 204, 144, 0.1));
    }

    @media (max-width: 768px) {
      .case-study-image {
        width: 90%;
        margin-top: 2rem;
      }
    }

    .light-mode-image {
      display: block;
    }

    .dark .light-mode-image {
      display: none;
    }

    .dark .dark-mode-image {
      display: block;
    }

    .dark-mode-image {
      display: none;
    }

    .download-button {
      text-decoration: none;
      padding: 0.75rem 1.5rem;
      font-size: 1rem;
      font-weight: 500;
      color: #FFFFFF;
      background-color: #000000;
      border: none;
      border-radius: 0.5rem;
      cursor: pointer;
      transition: box-shadow 0.3s ease, background-color 0.3s ease, color 0.3s ease;
    }

    .case-study-button {
      position: absolute;
      left: 50%;
      transform: translateX(-50%);
      padding: 0.75rem 1.5rem;
      font-size: 1rem;
      font-weight: 500;
      color: #FFFFFF;
      background-color: #000000;
      border: none;
      border-radius: 0.5rem;
      cursor: pointer;
      transition: box-shadow 0.3s ease, background-color 0.3s ease, color 0.3s ease;
      z-index: 10;
    }

    .dark .case-study-button, .dark .download-button{
      color: #000000;
      background-color: #FFFFFF;
    }

    .case-study-button:focus {
      outline: none;
      box-shadow: 0 0 0 2px var(--background), 0 0 0 4px var(--text);
    }

    .blog-posts {
      margin: 12rem 0 0;
      padding-bottom: 12rem;
    }

    .blog-posts-header {
      max-width: 60%;
      margin-bottom: 2rem;
    }

    .blog-grid {
      display: grid;
      grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
      gap: 3rem;
      width: 100%;
    }

    @media (max-width: 768px) {
      .blog-grid {
        grid-template-columns: 1fr;
        gap: 6rem;
      }
    }

    .blog-card {
      min-height: 350px;
      background-color: #5151D3;
      border: none;
      border-radius: 0.75rem;
      padding: 2rem;
      transition: all 0.3s ease;
      display: flex;
      flex-direction: column;
      height: 100%;
      color: white;
      position: relative;
      overflow: hidden;
    }

    .blog-card::after {
      content: '';
      position: absolute;
      top: 2rem;
      right: 2rem;
      width: 35px;
      height: 33.6px;
      background-image: url("data:image/svg+xml,%3Csvg width='50' height='48' viewBox='0 0 50 48' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M49.0142 18.9994L48.947 18.8202L42.163 1.12435C42.0257 0.776884 41.7813 0.482129 41.4654 0.282752C41.2296 0.131831 40.9618 0.0382416 40.6833 0.00948266C40.4049 -0.0192763 40.1236 0.0175966 39.8619 0.117145C39.6003 0.216694 39.3656 0.37615 39.1767 0.582733C38.9878 0.789315 38.85 1.03728 38.7742 1.30675L34.195 15.3258H15.6509L11.0717 1.30675C10.9953 1.03768 10.8572 0.790184 10.6682 0.583997C10.4792 0.37781 10.2446 0.218637 9.98319 0.119169C9.72178 0.0197018 9.44074 -0.0173075 9.16248 0.011094C8.88423 0.0394954 8.61646 0.132521 8.38053 0.282752C8.06457 0.482129 7.82024 0.776884 7.68293 1.12435L0.902122 18.8234L0.831722 18.9994C-0.144516 21.5508 -0.264785 24.3504 0.489046 26.976C1.24288 29.6017 2.82994 31.9112 5.01093 33.5561L5.03653 33.5753L5.09413 33.6201L15.4141 41.3544L20.5341 45.2232L23.6446 47.5752C24.0095 47.8509 24.4544 48 24.9118 48C25.3691 48 25.814 47.8509 26.179 47.5752L29.2894 45.2232L34.4094 41.3544L44.803 33.5753L44.8318 33.5529C47.0126 31.9086 48.5999 29.5999 49.3543 26.9749C50.1087 24.3498 49.9893 21.5507 49.0142 18.9994Z' fill='white'/%3E%3C/svg%3E");
      background-repeat: no-repeat;
      background-size: contain;
      opacity: 0.1;
      z-index: 1;
    }

    .blog-card h3 {
      font-size: 1.75rem;
      font-weight: 600;
      margin-bottom: 1rem;
      line-height: 1.2;
      color: white;
      position: relative;
      z-index: 2;
    }

    .blog-card p {
      color: rgba(255, 255, 255, 0.9);
      font-size: 1rem;
      line-height: 1.6;
      margin-bottom: 1.5rem;
      position: relative;
      z-index: 2;
    }

    .blog-card a {
      background: #161616;
      color: white;
      text-decoration: none;
      font-weight: 500;
      padding: 0.75rem 1rem;
      border-radius: 0.5rem;
      display: inline-flex;
      align-items: center;
      margin-top: auto;
      font-size: 0.875rem;
      position: relative;
      z-index: 2;
      transition: all 0.3s ease;
      width: fit-content;
      gap: 0.5rem;
    }

    .blog-card a svg {
      transition: all 0.3s ease;
    }

    .blog-card a svg .chevron,
    .blog-card a svg .arrow {
      transition: opacity 0.3s ease;
    }

    .blog-card a svg .chevron {
      opacity: 1;
    }

    .blog-card a svg .arrow {
      opacity: 0;
    }

    .blog-card a:hover svg .chevron,
    .blog-card a:focus svg .chevron {
      opacity: 0;
    }

    .blog-card a:hover svg .arrow,
    .blog-card a:focus svg .arrow {
      opacity: 1;
    }

    .outlined {
      -webkit-text-stroke: 2px var(--text);
      color: transparent;
    }

    #skills {
      margin: 12rem 0;
    }

    .skills-header {
      max-width: 60%;
      margin-bottom: 6rem;
    }

    .skills-intro {
      color: var(--muted-text);
      font-size: 1.1rem;
      line-height: 1.6;
    }

    .skills-list {
      display: grid;
      gap: 6rem;
    }

    .skill-item {
      display: grid;
      grid-template-columns: 1fr;
      gap: 1rem;
    }

    .skill-item h3 {
      font-size: 2rem;
      font-weight: 600;
      color: var(--text);
      margin: 0;
    }

    .skill-item p {
      color: var(--muted-text);
      font-size: 1.1rem;
      line-height: 1.6;
      margin: 0;
    }

    .contact {
      text-align: left;
      margin-bottom: 4rem;
      max-width: 60%;
    }

    .contact p {
      color: var(--muted-text);
      margin-bottom: 1.5rem;
    }

    .social-links {
      display: flex;
      justify-content: flex-start;
      gap: 1rem;
    }

    .social-link {
      display: inline-flex;
      align-items: center;
      justify-content: center;
      width: 2.5rem;
      height: 2.5rem;
      border: 1px solid var(--border-color);
      border-radius: 9999px;
      color: var(--text);
      transition: background-color 0.3s ease, color 0.3s ease;
    }

    .social-link:hover {
      background-color: var(--border-color);
    }

    .sr-only {
      position: absolute;
      width: 1px;
      height: 1px;
      padding: 0;
      margin: -1px;
      overflow: hidden;
      clip: rect(0, 0, 0, 0);
      white-space: nowrap;
      border-width: 0;
    }

    .sr-only:focus {
      position: fixed;
      top: 0;
      left: 0;
      width: auto;
      height: auto;
      padding: 0.5rem 1rem;
      background-color: var(--background);
      color: var(--text);
      clip: auto;
      z-index: 100;
    }

    @media (max-width: 768px) {
      .work-content, .blog-posts-header, .skills-header, .contact {
        max-width: 100%;
      }
    }

    @media (min-width: 768px) {
      .case-study-content {
        grid-template-columns: 1fr 1fr;
      }

      .skill-item {
        grid-template-columns: 1fr 1fr;
        gap: 2rem;
      }
    }

    .mobile-menu-toggle {
      display: none;
      background: none;
      border: none;
      color: var(--text);
      cursor: pointer;
      z-index: 1001;
      padding: 0.5rem;
      border-radius: 0.25rem;
      transition: background-color 0.3s ease;
    }

    .mobile-menu-toggle:hover,
    .mobile-menu-toggle:focus {
      background-color: var(--border-color);
      outline: none;
    }

    .mobile-menu-toggle:focus-visible {
      box-shadow: 0 0 0 2px var(--text);
    }

    .mobile-menu {
      position: fixed;
      left: 0;
      width: 100%;
      height: calc(100vh - 4rem);
      background-color: var(--background);
      transition: transform 0.3s ease;
      z-index: -1;
      display: flex;
      flex-direction: column;
      padding: 2rem;
      transform: translateY(-100%);
    }

    .mobile-menu.active {
      transform: translateY(0);
      z-index: -1;
    }

    .mobile-nav-links {
      display: flex;
      flex-direction: column;
      align-items: center;
      gap: 1rem;
      margin-top: 2rem;
    }

    .mobile-nav-links a {
      color: var(--text);
      text-decoration: none;
      font-size: 1.2rem;
      padding: 0.5rem 0;
      text-align: center;
    }

    .mobile-theme-toggle {
      display: flex;
      align-items: center;
      justify-content: center;
      gap: 0.5rem;
      background-color: var(--card-bg);
      color: var(--text);
      border: 1px solid var(--border-color);
      border-radius: 0.5rem;
      padding: 0.5rem 1rem;
      font-size: 1rem;
      cursor: pointer;
      transition: background-color 0.3s ease, color 0.3s ease;
      margin: 2rem auto 0;
      width: 100%;
      max-width: 200px;
      position: relative;
    }

    .mobile-theme-toggle::after {
      content: attr(title);
      position: absolute;
      top: 120%;
      left: 50%;
      transform: translateX(-50%);
      background-color: var(--background);
      color: var(--text);
      padding: 0.5rem;
      border-radius: 0.25rem;
      font-size: 0.875rem;
      white-space: nowrap;
      opacity: 0;
      visibility: hidden;
      transition: opacity 0.3s, visibility 0.3s;
      border: 1px solid var(--border-color); /* Updated border color */
      z-index: 1000;
    }

    .mobile-theme-toggle:hover::after,
    .mobile-theme-toggle:focus::after {
      opacity: 1;
      visibility: visible;
    }

    .mobile-menu-close {
      display: none;
    }

    @media (max-width: 768px) {
      .mobile-menu-toggle {
        display: block;
      }

      .nav-links, .theme-toggle {
        display: none;
      }

      nav {
        justify-content: space-between;
      }
    }
    .menu-open {
      overflow: hidden;
    }
    .case-study {
      display: flex;
      flex-direction: column;
      gap: 2rem;
    }
    .case-study-revenue {
      display: flex;
      flex-direction: column;
      gap: 2rem;
      margin-top: 6rem;
    }

    .case-study-revenue .case-study-badge {
      background-color: rgba(73, 204, 144, 0.1);
      color: rgb(73, 204, 144);
    }

    .case-study-revenue .case-study-badge::before {
      background-color: rgb(73, 204, 144);
    }

    .case-study-revenue .case-study-card {
      /* Remove the following line */
      /* border: 1px solid var(--border-color); */
    }

    .case-study-support {
      display: flex;
      flex-direction: column;
      gap: 2rem;
      margin-top: 6rem;
    }

    .case-study-support .case-study-badge {
      background-color: rgba(255, 223, 0, 0.1);
      color: rgb(255, 223, 0);
    }

    .case-study-support .case-study-badge::before {
      background-color: rgb(255, 223, 0);
    }

    .case-study-support .case-study-image {
      filter: drop-shadow(0 0 50px rgba(255, 223, 0, 0.1));
    }

    section:not(#about) {
      opacity: 0;
      transform: translate(0, 20px);
      transition: opacity 2s, transform 2s;
    }

    section:not(#about).visible {
      opacity: 1;
      transform: translate(0, 0);
    }

    .w-full {
      width: 100%;
    }

    .activity-images {
      width: 100%;
      max-width: none;
      /* Remove the following line */
      /* margin-bottom: 2rem; */
    }

    .activity-images img {
      width: 100%;
      height: auto;
      display: none;
    }

    .activity-images .light-mode-image {
      display: block;
    }

    .dark .activity-images .light-mode-image {
      display: none;
    }

    .dark .activity-images .dark-mode-image {
      display: block;
    }

    .theme-toggle,
    .mobile-theme-toggle {
      position: relative;
    }

    .theme-toggle::after,
    .mobile-theme-toggle::after {
      content: attr(title);
      position: absolute;
      top: 120%;
      left: 50%;
      transform: translateX(-50%);
      background-color: var(--background);
      color: var(--text);
      padding: 0.5rem;
      border-radius: 0.25rem;
      font-size: 0.875rem;
      white-space: nowrap;
      opacity: 0;
      visibility: hidden;
      transition: opacity 0.3s, visibility 0.3s;
      border: 1px solid var(--border-color); /* Updated border color */
      z-index: 1000;
    }

    .theme-toggle:hover::after,
    .theme-toggle:focus::after,
    .mobile-theme-toggle:hover::after,
    .mobile-theme-toggle:focus::after {
      opacity: 1;
      visibility: visible;
    }

    /* New CSS for stats */
    .stats-row {
      display: flex;
      justify-content: space-around;
      margin: 4rem 0;
      flex-wrap: wrap;
    }

    .stat-item {
      text-align: center;
      flex: 1;
      min-width: 200px;
      margin: 1rem;
    }

    .stat-number {
      font-size: 3rem;
      font-weight: 700;
      color: var(--text);
      margin-bottom: 0.5rem;
    }

    .stat-label {
      font-size: 1rem;
      color: var(--muted-text);
    }
  </style>
</head>
<body>
  <a href="#main-content" class="sr-only">Skip to main content</a>
  <header>
    <nav class="container">
      <a href="/" class="logo">
        <img src="assets/png/profile-img@3x.png" alt="Austin Regnery" />
        Austin Regnery
      </a>
      <button class="mobile-menu-toggle" aria-label="Toggle mobile menu">
        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="menu-icon">
          <line x1="3" y1="12" x2="21" y2="12"></line>
          <line x1="3" y1="6" x2="21" y2="6"></line>
          <line x1="3" y1="18" x2="21" y2="18"></line>
        </svg>
        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="close-icon" style="display: none;">
          <line x1="18" y1="6" x2="6" y2="18"></line>
          <line x1="6" y1="6" x2="18" y2="18"></line>
        </svg>
      </button>
      <div class="nav-links">
        <a href="#about" data-section="about">About</a>
        <a href="#projects" data-section="projects">Work</a>
        <a href="#writings" data-section="writings">Writings</a>
        <a href="#skills" data-section="skills">Skills</a>
        <a href="#contact" data-section="contact">Contact</a>
      </div>
      <button class="theme-toggle" aria-label="Toggle theme" title="Switch theme">
        <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
          <circle cx="12" cy="12" r="5"/>
          <path d="M12 1v2M12 21v2M4.22 4.22l1.42 1.42M18.36 18.36l1.42 1.42M1 12h2M21 12h2M4.22 19.78l1.42-1.42M18.36 5.64l1.42-1.42"/>
        </svg>
      </button>
    </nav>
    <div class="mobile-menu">
      <div class="mobile-nav-links">
      </div>
      <button class="mobile-theme-toggle" aria-label="Switch theme" title="Switch theme">
        <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
          <circle cx="12" cy="12" r="5"/>
          <path d="M12 1v2M12 21v2M4.22 4.22l1.42 1.42M18.36 18.36l1.42 1.42M1 12h2M21 12h2M4.22 19.78l1.42-1.42M18.36 5.64l1.42-1.42"/>
        </svg>
        <span>Switch theme</span>
      </button>
    </div>
  </header>

  <main id="main-content" class="container">
    <section id="about" class="hero">
      <img
        src=assets/jpg/hero-img.jpg
        alt="Austin hiking on a mountain at sunset"
        class="hero-image"
      />
      <div class="hero-content">
        <h1>
          Staff Product Designer
          <br />
          &amp; Minimalist @ <span style="color: #FF0000;">♥</span>
        </h1>
        <svg width="200" height="2" viewBox="0 0 200 2" fill="none" xmlns="http://www.w3.org/2000/svg">
          <path d="M0 1H200" stroke="currentColor" stroke-opacity="0.3" stroke-width="2" />
        </svg>
        <p>
          I've spent the last 7+ years committed to improving the UX of enterprise applications. Most recently, I've
          been evolving GitLab to be a more efficient and productive platform.
        </p>
        <a class="download-button" href="assets/pdf/Austin-Regnery-Resume.pdf" target="_blank">Download resume</a>
      </div>
      </div>
    </section>

    <section id="projects" class="work-section">
      <div class="work-content">
        <h1>Sneak peak into my work at GitLab</h1>
        <p>
          Everything I do is built around transparency, you can follow my work or personal account on GitLab. Feel
          free to just get the highlights from here.
        </p>
      </div>
      <div class="activity-images">
        <img
          src="https://hebbkx1anhila5yf.public.blob.vercel-storage.com/activity-light-oRY825GFGVJyDY0BXzE3rb98ElDUVv.png"
          alt="GitLab activity heatmap showing contribution patterns throughout the year"
          class="w-full light-mode-image"
        />
        <img
          src="https://hebbkx1anhila5yf.public.blob.vercel-storage.com/activity-dark-StEMrbvvvqDHxp3cR0x4HNZMv4Wwr6.png"
          alt="GitLab activity heatmapshowing contribution patterns throughout the year"
          class="w-full dark-mode-image"
        />
      </div>
      <div class="stats-row">
        <div class="stat-item">
          <h3 class="stat-number" id="mergeRequestsCount">0</h3>
          <p class="stat-label">Merged changes</p>
        </div>
        <div class="stat-item">
          <h3 class="stat-number" id="approvedRequestsCount">0</h3>
          <p class="stat-label">UX Reviews</p>
        </div>
        <div class="stat-item">
          <h3 class="stat-number" id="commentsCount">10k+</h3>
          <p class="stat-label">Comments</p>
        </div>
      </div>
      <div class="case-study">
        <div class="case-study-header">
          <div class="case-study-badge">Site redesign</div>
          <h2 class="case-study-title">Overhauling GitLab's navigation</h2>
          <div class="case-study-content">
            <p class="case-study-text">The platform was cluttered and difficult to navigate.</p>
            <p class="case-study-text">
              Explore how I transformed GitLab to boost the Customer Satisfaction Score (CSAT) and draw key customers
              into the upgrade cycle earlier than anticipated.
            </p>
          </div>
        </div>

        <div class="case-study-card">
          <div class="case-study-image-container">
            <img
              src="assets/gif/light-mode-case-highlight.gif"
              alt="GitLab repository interface showing the Pajamas Design System"
              class="case-study-image light-mode-image"
            />
            <img
            src="assets/gif/dark-mode-case-highlight.gif"
              alt="GitLab repository interface showing the Pajamas Design System in darkmode"
              class="case-study-image dark-mode-image"
            />
          </div>
          <button class="case-study-button">Coming soon</button>
        </div>
      </div>
      <div class="case-study-revenue">
        <div class="case-study-header">
          <div class="case-study-badge">Customer results</div>
          <h2 class="case-study-title">Accelerating Revenue Growth</h2>
          <div class="case-study-content">
            <p class="case-study-text">Compliance features are the hook for GitLab Ultimate.</p>
            <p class="case-study-text">
              Discover how I carried ideas from inception through launch to help grow the
              revenue by millions every quarter at GitLab.
            </p>
          </div>
        </div>

        <div class="case-study-card">
          <div class="case-study-image-container">
            <img
              src="assets/png/dark-compliance.png"
              alt="GitLab compliance features interface showing various security and compliance controls"
              class="case-study-image dark-mode-image"
            />
            <img
              src="assets/png/light-compliance.png"
              alt="GitLab compliance features interface showing various security and compliance controls"
              class="case-study-image light-mode-image"
            />
          </div>
          <button class="case-study-button">Coming soon</button>
        </div>
      </div>
      <div class="case-study-support">
  <div class="case-study-header">
    <div class="case-study-badge">Customer results</div>
    <h2 class="case-study-title">Minimizing Customer Support</h2>
    <div class="case-study-content">
      <p class="case-study-text">GitLab Duo was nearly impossible to troubleshoot.</p>
      <p class="case-study-text">
        Find out how I introduced a diagnostic tool to reduce the number of tickets requesting help with configuring GitLab Duo.
      </p>
    </div>
  </div>

  <div class="case-study-card">
    <div class="case-study-image-container">
      <img
      src="assets/gif/light-duo.gif"
        alt="GitLab Duo diagnostic interface showing system health checks and configuration status"
        class="case-study-image light-mode-image"
      />
      <img
        src="assets/gif/dark-duo.gif"
        alt="GitLab Duo diagnostic interface showing system health checks and configuration status in dark mode"
        class="case-study-image dark-mode-image"
      />
    </div>
    <button class="case-study-button">Coming soon</button>
  </div>
</div>
    </section>

    <section id="writings" class="blog-posts">
      <div class="blog-posts-header">
        <h1>Recent publications</h1>
        <p class="skills-intro">
          You can find some of my latest writings on the GitLab blog. I share what our processes look like and peak
          into the world of UX at GitLab.
        </p>
      </div>
      <div class="blog-grid">
        <article class="blog-card">
          <small>PUBLISHED</small>
          <h3>How Designing Platform Navigation is Like Building a Dream Home</h3>
          <p>How our design process ideated through each solution to make a vision into reality.</p>
          <a href="https://about.gitlab.com/blog/2023/05/15/overhauling-the-navigation-is-like-building-a-dream-home/">
            <span>View blog</span>
            <svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
              <path class="chevron" d="M6 4L10 8L6 12" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
              <path class="arrow" d="M2 8H14M14 8L10 4M14 8L10 12" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
            </svg>
          </a>
        </article>
        <article class="blog-card">
          <small>PUBLISHED</small>
          <h3>Why Do GitLab Designers Contribute to the Codebase?</h3>
          <p>Working with engineering in the past used to feel so foreign to me, but now I get it.</p>
          <a href="https://about.gitlab.com/blog/2021/03/17/why-do-gitlab-designers-contribute-to-the-codebase/">
            <span>View blog</span>
            <svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
              <path class="chevron" d="M6 4L10 8L6 12" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
              <path class="arrow" d="M2 8H14M14 8L10 4M14 8L10 12" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
            </svg>
          </a>
        </article>
        <article class="blog-card">
          <small>PUBLISHED</small>
          <h3>Why I Love Contributing to GitLab</h3>
          <p>Making small meaningful changes is what it's all about.</p>
          <a href="https://about.gitlab.com/blog/2021/05/11/why-i-love-contributing-to-gitlab/">
            <span>View blog</span>
            <svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
              <path class="chevron" d="M6 4L10 8L6 12" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
              <path class="arrow" d="M2 8H14M14 8L10 4M14 8L10 12" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
            </svg>
          </a>
        </article>
      </div>
    </section>

    <section id="skills">
      <div class="skills-header">
        <h1>I've picked up a few things along my journey.</h1>
        <p class="skills-intro">
          There are a number of ways that I show up and add value, but here is a concise list of the accountabilities
          that I own in my job in no specific order.
        </p>
      </div>
      <div class="skills-list">
        <div class="skill-item">
          <h3>Creating Concepts</h3>
          <p>
            Most people believe an app will solve all their problems, but I help stakeholders better understand what
            they are truly trying to solve. By better defining the problem space, ideas can be generated around key
            fundamentals to build and iterate upon.
          </p>
        </div>
        <div class="skill-item">
          <h3>Visualizing Ideas</h3>
          <p>
            People better relate to an idea when it is visualized. Whether they are physical or digital, I bring ideas
            to life to streamline communication and resolve assumptions. This practice helps everyone understand the
            story a business is trying to convey.
          </p>
        </div>
        <div class="skill-item">
          <h3>Pushing Pixels</h3>
          <p>
            My main obsession is creating pixel perfect designs. The User Interface (UI) is the most tangible aspect of
            a product, which is incredibly hard to translate through words alone. The right UI design keep developers
            on track and a product building toward success.
          </p>
        </div>
        <div class="skill-item">
          <h3>Building Products</h3>
          <p>
            Creating products that are useful, useable, and desirable requires a balanced team with an agile mindset. I
            will jump into grooming the backlog, troubleshooting the CSS, or anywhere in between to ensure a product's
            success.
          </p>
        </div>
      </div>
    </section>

    <section id="contact" class="contact">
      <h1>Get in Touch</h1>
      <p>Im always open to discussing new projects or opportunities.</p>
      <div class="social-links">
        <a href="https://gitlab.com/aregnery" target="_blank" rel="noopener noreferrer" class="social-link" aria-label="GitLab">
          <svg viewBox="0 0 24 24" width="18" height="18" fill="currentColor">
            <path d="M22.65 14.39L12 22.13 1.35 14.39a.84.84 0 0 1-.3-.94l1.22-3.78 2.44-7.51A.42.42 0 0 1 4.82 2a.43.43 0 0 1 .58 0 .42.42 0 0 1 .11.18l2.44 7.49h8.1l2.44-7.51A.42.42 0 0 1 18.6 2a.43.43 0 0 1 .58 0 .42.42 0 0 1 .11.18l2.44 7.51L23 13.45a.84.84 0 0 1-.35.94z" />
          </svg>
        </a>
        <a href="https://www.linkedin.com/in/austin-regnery/" target="_blank" rel="noopener noreferrer" class="social-link" aria-label="LinkedIn">
          <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
            <path d="M16 8a6 6 0 0 1 6 6v7h-4v-7a2 2 0 0 0-2-2 2 2 0 0 0-2 2v7h-4v-7a6 6 0 0 1 6-6z"></path>
            <rect x="2" y="9" width="4" height="12"></rect>
            <circle cx="4" cy="4" r="2"></circle>
          </svg>
        </a>
        <a href="https://medium.com/@acregnery" target="_blank" rel="noopener noreferrer" class="social-link" aria-label="Medium">
          <svg width="18" height="18" viewBox="0 0 24 24" fill="currentColor">
            <path d="M13.54 12a6.8 6.8 0 01-6.77 6.82A6.8 6.8 0 010 12a6.8 6.8 0 016.77-6.82A6.8 6.8 0 0113.54 12zM20.96 12c0 3.54-1.51 6.42-3.38 6.42-1.87 0-3.39-2.88-3.39-6.42s1.52-6.42 3.39-6.42 3.38 2.88 3.38 6.42M24 12c0 3.17-.53 5.75-1.19 5.75-.66 0-1.19-2.58-1.19-5.75s.53-5.75 1.19-5.75C23.47 6.25 24 8.83 24 12z"/>
          </svg>
        </a>
        <a href="mailto:acregnery+design@gmail.com" class="social-link" aria-label="Email">
          <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
            <path d="M4 4h16c1.1 0 2 .9 2 2v12c0 1.1-.9 2-2 2H4c-1.1 0-2-.9-2-2V6c0-1.1.9-2 2-2z"></path>
            <polyline points="22,6 12,13 2,6"></polyline>
          </svg>
        </a>
      </div>
    </section>
  </main>

  <script>
    const themeToggle = document.querySelector('.theme-toggle');
    const body = document.body;
    const navLinks = document.querySelectorAll('.nav-links a');
    const downloadButton = document.querySelector('.download-button'); 
    const caseStudyButton = document.querySelector('.case-study-button');
    const mobileMenuToggle = document.querySelector('.mobile-menu-toggle');
    const mobileMenu = document.querySelector('.mobile-menu');
    const mobileNavLinks = document.querySelector('.mobile-nav-links');
    const mobileMenuClose = document.querySelector('.mobile-menu-close');
    const mobileThemeToggle = document.querySelector('.mobile-theme-toggle');
    const menuIcon = mobileMenuToggle.querySelector('.menu-icon');
    const closeIcon = mobileMenuToggle.querySelector('.close-icon');


    // Clone nav links for mobile menu
    mobileNavLinks.innerHTML = document.querySelector('.nav-links').innerHTML;


    // Function to set the theme
    function setTheme(isDark) {
      if (isDark) {
        body.classList.add('dark');
        localStorage.setItem('darkMode', 'true');
      } else {
        body.classList.remove('dark');
        localStorage.setItem('darkMode', 'false');
      }
      updateThemeIcon(isDark);
    }

    // Function to toggle the theme
    function toggleTheme() {
      const isDark = !body.classList.contains('dark');
      setTheme(isDark);
    }

    // Add click event listeners to both theme toggles
    document.querySelectorAll('.theme-toggle').forEach(toggle => {
      toggle.addEventListener('click', toggleTheme);
    });
    mobileThemeToggle.addEventListener('click', toggleTheme);

    function updateThemeIcon(isDark) {
      const icon = isDark
        ? '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><circle cx="12" cy="12" r="5"/><path d="M12 1v2M12 21v2M4.22 4.22l1.42 1.42M18.36 18.36l1.42 1.42M1 12h2M21 12h2M4.22 19.78l1.42-1.42M18.36 5.64l1.42-1.42"/></svg>'
        : '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path d="M21 12.79A9 9 0 1 1 11.21 3 7 7 0 0 0 21 12.79z"></path></svg>';

      document.querySelectorAll('.theme-toggle, .mobile-theme-toggle').forEach(toggle => {
        if (toggle.classList.contains('mobile-theme-toggle')) {
          toggle.innerHTML = `${icon}<span>Switch theme</span>`;
        } else {
          toggle.innerHTML = icon;
        }
      });
      document.querySelectorAll('.theme-toggle, .mobile-theme-toggle').forEach(toggle => {
        toggle.title = 'Switch theme'; // Updated tooltip text
      });
    }

    // Check for saved theme preference or use system preference
    const savedTheme = localStorage.getItem('darkMode');
    const prefersDark = window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches;

    if (savedTheme === 'true') {
      setTheme(true);
    } else if (savedTheme === 'false') {
      setTheme(false);
    } else {
      setTheme(prefersDark);
    }

    // Listen for changes in color scheme preference
    window.matchMedia('(prefers-color-scheme: dark)').addEventListener('change', e => {
      if (savedTheme === null) {
        setTheme(e.matches);
      }
    });

    // Add click event listener to the case study button
    caseStudyButton.addEventListener('click', () => {
      console.log('View case study button clicked');
    });

    function updateActiveNavLink() {
      const scrollPosition = window.scrollY;
      const headerHeight = document.querySelector('header').offsetHeight;
      const viewportHeight = window.innerHeight;
      let currentSection = null;

      // Check if we've reached the bottom of the page
      if ((window.innerHeight + window.scrollY) >= document.documentElement.scrollHeight - 10) {
        currentSection = document.querySelector('#contact');
      } else {
        document.querySelectorAll('section').forEach(section => {
          const sectionTop = section.offsetTop - headerHeight;
          const sectionBottom = sectionTop + section.offsetHeight;

          if (scrollPosition >= sectionTop && scrollPosition < sectionBottom) {
            currentSection = section;
          }
        });
      }

      if (currentSection) {
        document.querySelectorAll('.nav-links a, .mobile-nav-links a').forEach(link => {
          if (link.getAttribute('href') === `#${currentSection.id}`) {
            link.classList.add('active');
          } else {
            link.classList.remove('active');
          }
        });
      }
    }

    // Call updateActiveNavLink on page load and scroll
    window.addEventListener('load', updateActiveNavLink);
    window.addEventListener('scroll', updateActiveNavLink);


    // Toggle mobile menu
    mobileMenuToggle.addEventListener('click', () => {
      mobileMenu.classList.toggle('active');
      document.body.classList.toggle('menu-open');
      menuIcon.style.display = mobileMenu.classList.contains('active') ? 'none' : 'block';
      closeIcon.style.display = mobileMenu.classList.contains('active') ? 'block' : 'none';
    });

    // Close mobile menu when clicking on a link
    mobileNavLinks.querySelectorAll('a').forEach(link => {
      link.addEventListener('click', () => {
        mobileMenu.classList.remove('active');
        document.body.classList.remove('menu-open');
        menuIcon.style.display = 'block';
        closeIcon.style.display = 'none';
      });
    });

    // Close mobile menu when clicking outside
    document.addEventListener('click', (e) => {
      if (!mobileMenu.contains(e.target) && !mobileMenuToggle.contains(e.target) && mobileMenu.classList.contains('active')) {
        mobileMenu.classList.remove('active');
        document.body.classList.remove('menu-open');
        menuIcon.style.display = 'block';
        closeIcon.style.display = 'none';
      }
    });


    // Intersection Observer for section animations
    const sections = document.querySelectorAll('section:not(#about)');
    const observerOptions = {
      root: null,
      rootMargin: '0px',
      threshold: 0.1
    };

    const sectionObserver = new IntersectionObserver((entries, observer) => {
      entries.forEach(entry => {
        if (entry.isIntersecting) {
          entry.target.classList.add('visible');
          observer.unobserve(entry.target);
        }
      });
    }, observerOptions);

    sections.forEach(section => {
      sectionObserver.observe(section);
    });

    function animateValue(obj, start, end, duration) {
      let startTimestamp = null;
      const step = (timestamp) => {
        if (!startTimestamp) startTimestamp = timestamp;
        const progress = Math.min((timestamp - startTimestamp) / duration, 1);
        obj.innerHTML = Math.floor(progress * (end - start) + start);
        if (progress < 1) {
          window.requestAnimationFrame(step);
        }
      };
      window.requestAnimationFrame(step);
    }

    const statsObserver = new IntersectionObserver((entries) => {
      entries.forEach((entry) => {
        if (entry.isIntersecting) {
          animateValue(document.getElementById("mergeRequestsCount"), 0, 208, 2000);
          animateValue(document.getElementById("approvedRequestsCount"), 0, 340, 2000);
          let commentsCount = 0;
          const commentsInterval = setInterval(() => {
            commentsCount += 100;
            if (commentsCount >= 10000) {
              clearInterval(commentsInterval);
              document.getElementById("commentsCount").textContent = "10k+";
            } else {
              document.getElementById("commentsCount").textContent = commentsCount.toLocaleString();
            }
          }, 20);
          statsObserver.unobserve(entry.target);
        }
      });
    }, observerOptions);

    statsObserver.observe(document.querySelector('.stats-row'));

    document.querySelectorAll('.nav-links a, .mobile-nav-links a').forEach(link => {
      link.addEventListener('click', (e) => {
        e.preventDefault();
        const targetId = link.getAttribute('href').slice(1);
        const targetElement = document.getElementById(targetId);
        const headerOffset = 64; // 4rem header height
        const elementPosition = targetElement.getBoundingClientRect().top;
        const offsetPosition = elementPosition + window.pageYOffset - headerOffset;

        window.scrollTo({
          top: offsetPosition,
          behavior: 'smooth'
        });
      });
    });
  </script>
</body>
</html>
